Skip to main content
GET
/
api
/
public
/
campaign
Get campaigns
curl --request GET \
  --url https://api.vambe.me/api/public/campaign \
  --header 'x-api-key: <x-api-key>'

Headers

x-api-key
string
required

API key needed to authorize the request

Query Parameters

page
string
Pattern: ^\d+$
title
string
status
enum<string>
Available options:
pending,
scheduled,
sending,
sent,
paused
stage
string
whatsapp_phone_id
integer
Required range: 1 <= x <= 9007199254740991
date
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
sort_by
enum<string>
Available options:
created_at,
sent_at,
status
sort_order
enum<string>
Available options:
ASC,
DESC

Response

Campaigns retrieved successfully